"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * Created by jcox on 6/16/16.
 */

var ConfigMapper = function ConfigMapper() {
    _classCallCheck(this, ConfigMapper);
};

/**
 * Replaces default values with custom values
 * 
 * @param {Object} defaults The default values
 * @param {Object} custom The custom values
 * 
 * @returns {{}}
 */


ConfigMapper.map = function (defaults, custom) {
    var mapped = {};

    for (var k in defaults) {
        if (custom[k]) {
            mapped[k] = custom[k];
        } else {
            mapped[k] = defaults[k];
        }
    }

    return mapped;
};

exports.default = ConfigMapper;